# Generated by Django 4.2.19 on 2025-03-05 12:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0006_alter_account_options'),
        ('ib_commission', '0005_alter_ibagreementmember_start_date'),
    ]

    operations = [
        migrations.AddField(
            model_name='clientibmapping',
            name='agreement',
            field=models.ForeignKey(blank=True, help_text='Default agreement for this client-IB relationship', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='client_mappings', to='ib_commission.ibagreement'),
        ),
        migrations.AddField(
            model_name='commissiondistribution',
            name='ib_account',
            field=models.ForeignKey(blank=True, help_text="IB's account receiving commissions", null=True, on_delete=django.db.models.deletion.PROTECT, related_name='received_distributions', to='accounts.account'),
        ),
        migrations.AddField(
            model_name='commissiontracking',
            name='client_account',
            field=models.ForeignKey(blank=True, help_text='Client account that generated the deal', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='commission_trackings', to='accounts.account'),
        ),
        migrations.AddField(
            model_name='ibaccountagreement',
            name='account',
            field=models.ForeignKey(blank=True, help_text='Client account with agreement override', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='ib_agreement_overrides', to='accounts.account'),
        ),
        migrations.AddField(
            model_name='ibhierarchy',
            name='ib_account',
            field=models.ForeignKey(blank=True, help_text='IB account that receives commissions', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='ib_hierarchy_entry', to='accounts.account'),
        ),
        migrations.AddConstraint(
            model_name='ibhierarchy',
            constraint=models.UniqueConstraint(fields=('customer',), name='unique_customer_in_hierarchy'),
        ),
    ]
